Subject: [Asrg] Re: RAPNAP/OMX Re: 6. Proposal - Sender Pays (was RE: [Asrg] Forbes: Pay up )

From: Yakov Shafranovich <[email-masked]>
Date: Thu, 17 Jul 2003 15:33:38 -0400

After looking at your website, I came across a provisional patent 
application 
(http://www.pay2send.com/Provisional_Patent_Application_Filed_15_Dec_2002.pdf). 
Please take a look at the ASRG's interim IPR policy 
(http://www.irtf.org/asrg/asrg_ipr_policy.htm), in particular:

"The contributor represents that he has disclosed the existence of any 
proprietary or intellectual property rights in the contribution that are 
reasonably and personally known to the contributor."

IPR disclosures to the ASRG can be found at 
(http://www.solidmatrix.com/research/asrg/asrg-ipr.html).

Yakov

At 04:33 PM 7/16/2003 -0500, david nicol wrote:

>Hello ASRG mailing list
>
>I've been working on this for several years and the implementation
>is going through beta testing.
>
>Sign up at http://www.pay2send.com/newalias.html to have
>a working @pay2send.com forwarding address.  Filtering will
>start happen Real Soon Now. (like before dawn tomorrow.)
>
>All signed-up recipients will receive announcements.
>
>Sender identity (an important aspect of Sender Pays) is
>keyed on RAPNAP (Return Address, Network Address Pair) rather
>than simply RA or insisting on public keys.  (A public-key based
>sender verification would be easy to add, but the minimal Release 1
>uses RAPNAP.)
>
>RAPNAP is verified using the RAPNAP database, a centralized C-R system.
>
>A client for the pay2send RAPNAP database is available on CPAN.
>
>In addition to RAPNAP, to avoid C-R handshakes for users of
>OMX compliant e-mail systems, the rapnap check system checks
>for the existence of omx.example.com when it is analyzing mail
>with an example.com RA.  When omx.example.com exists and the
>PNA is listed as one of (the first seven) A-records, the message
>is assumed to be legitimate.
>
>When there are seven or more records in omx.example.com, the
>system checks d.c.b.a.omx.example.com for any a.b.c.d PNA,
>and if it exists and is not 0.0.0.0, the C-R handshake is
>avoided.
>
>The OMX proposal has been discussed on the DJBDNS mailing list;
>this message is the first mention of it in an IETF forum.
>
>
>Ideally, the RAPNAP database will be DNS based and live
>at
>
>         username.at.example.com.via.d.c.b.a.rapnap.int
>
>and, to provide some data to include in the CR messages
>
> 
>sl.subject.line.ta.target.address.ra.username.at.example.com.via.d.c.b.a.rapnap.int
>
>but we might run into A record length limitations; or truncate
>accordingly.
>
>and
>         mailinglistid.via.d.c.b.a.rapnap.int
>
>instead of being a clunky web service.
>
>
>David Nicol
>
>see also
>
>http://www.pay2send.com/sender_identity.txt
>
>Looks like I never set up a pay2send discussion mailing list --
>I will be happy to maintain a simple developer's mailing list
>for people who wish to contribute their sweat to the pay2send project:
>e-mail me personally including links to your resume and how much
>time you have to put in.
>THE PAY2SEND PROJECT IS A PROFIT-MOTIVATED COMMERCIAL PROJECT
>AND I AM TRACKING EQUITY CONTRIBUTIONS TOWARDS LATER REIMBURSEMENT.
>
>
>
>
>On Tue, 2003-07-15 at 08:56, Paul Judge wrote:
> > Mathew, it sounds like you are volunteering to lead some work into the
> > "sender pays" approach. Good. Do you have any preliminary ideas? Is what
> > you're thinking along the lines of Selling Interrupt Rights or SHRED or is
> > it a different approach?
> >
> > IBM's Selling Interrupt Rights:
> > http://www.research.ibm.com/journal/sj/414/forum.pdf
> >
> > Balachander Krishamurthy's SHRED:
> > http://www.research.att.com/~bala/papers/shred-ietf56-talk.pdf
> >
> >
> > > -----Original Message-----
> > > From: mathew [mailto:[email-masked]]
> > > Sent: Monday, July 14, 2003 11:06 PM
> > > To: [email-masked]
> > > Subject: Re: [Asrg] Forbes: Pay up
> > >
> > > It seems to me that those of us who think "sender pays" is necessary
> > > could usefully set up a separate list to come up with
> > > requirements, and
> > > a proposed implementation model, which could then be brought
> > > back here
> > > for the inevitable nit-picking.
> >
> > _______________________________________________
> > Asrg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/asrg
>--
>David Nicol, independent consultant, contractor, and food service worker
>Imagine the first ice cream in Calcutta:
>http://www.amazon.com/exec/obidos/ASIN/078686740X/tipjartransactioA/
>
>
>_______________________________________________
>Asrg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/asrg

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg